Bug 4079 - busybox df does not handle root filesystem on command line
: busybox df does not handle root filesystem on command line
Status: VERIFIED FIXED
Product: Core
Busybox
: 4.1.3 (5.2008.43-7)
: All Linux
: Low normal (vote)
: 5.0-alpha
Assigned To: unassigned
: busybox-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-02-06 15:10 UTC by Matan Ziv-Av
Modified: 2009-03-02 13:37 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Matan Ziv-Av (reporter) 2009-02-06 15:10:06 UTC
SOFTWARE VERSION:
5.2008.43-7

(this proble

STEPS TO REPRODUCE THE PROBLEM:
run command

df /


EXPECTED OUTCOME:
Output:
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/mtdblock4          126464    115980     10484  92% /


ACTUAL OUTCOME:
Output:
Filesystem           1k-blocks      Used Available Use% Mounted on


REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

df from coreutils does not exhibit this problem. df from busybox works
correctly on other filesystems. It also displays the root filesystem correctly
(along with other filesystems) when no filesystem is listed on command line.


User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; es-ES; rv:1.9.0.5)
Gecko/2008121622 Fedora/3.0.5-1.fc10 Firefox/3.0.5
Comment 1 Lucas Maneos 2009-02-09 18:35:02 UTC
Confirmed.  Fixed in
http://sources.busybox.net/index.py/trunk/busybox/coreutils/df.c?r1=20425&r2=20426,
which is included in the Fremantle version.
Comment 2 Andre Klapper maemo.org 2009-02-09 18:48:50 UTC
Argh, mid-air collisions with Lucas. :-)
Thanks for finding the specific patchset.

Running busybox-1.6.1-4.fc8.i386 (same version as in Diablo) on Fedora 10 I can
reproduce this issue.

This is fixed in busybox 1.10.3 on Fedora 10.
Fremantle will ship >=1.10, hence this will be fixed in Fremantle too.
Closing as FIXED.
Comment 3 Eero Tamminen nokia 2009-02-11 12:36:40 UTC
> Fremantle will ship >=1.10, hence this will be fixed in Fremantle too.

Yes, "df /" works fine with Fremantle 1.10.2 Busybox.

(I think BB will be included to next Fremantle SDK release.)